-module(mysql_test).
-export([test/0]).

test() ->
	ok = mysql:init(),
	{ok, Conn} = mysql:open(),
	ok = mysql:connect(Conn, "localhost", "davidxu", "", "auction", 0, "", 0),
	NewStr = mysql:escape_string(Conn, "abcd'efg'"),
	ok = mysql:set_charset(Conn, "utf8"),
	io:format("escaped string:~p~n", [NewStr]),
	Ret3 = mysql:transaction(Conn, fun()->
		%%{ok, Ret1} = mysql:fetch(Conn, "select goods.* from goods"),
		{ok, Ret1} = mysql:fetch(Conn, "show variables like '%character_set%'"),

		io:format("result:~p~n", [Ret1]),
	%%	{ok, Ret2} =
		 case mysql:fetch(Conn, "insert into goods(id) values(1)") of
		 {ok, Result1} ->
			ok;
		 {error, ErrMsg} ->
			erlang:error(ErrMsg)
		end
	%%		io:format("field info: ~p~n", [Ret2])
		 end),
	io:format("Test result:~p~n", [Ret3]).
